Subject: Final (?!) set of patches to compile Khoros 1.0.5
From: [email-masked] (Wolfram Gloger)
Date: 2 Jan 1994 18:03:25 +0200
Newsgroups: comp.os.linux.announce

This is the 5th "release" of my patches to the Khoros system
for image processing.  They should be available from
tsx-11.mit.edu and its mirrors in pub/linux/ports,
or from sunsite.unc.edu in pub/Linux/X11/xapps.

If you want to compile Khoros yourself, you need

0. Khoros 1.0, patchlevel 5 (source distribution)
1. Linux 0.99.4
2. XFree86 1.2
3. GCC 2.3.3, libc 4.3, flex 2.3, BSD yacc (or GNU bison)
4. f2c Fortran to C Converter, version "Feb 1993" (not essential)
5. CShell (or TCShell with an appropriate symlink)

(or later versions) and up to 100MB free disk space (that
includes the complete package 0.).

Install 0. first; then unzip and untar the enclosed .gz-file
in the Khoros home directory.
Refer to README.Linux for details.

Thanks to Peter Averkamp ([email-masked]),
a complete binary distribution of the system is now available on:
    ftp.e20.physik.tu-muenchen.de:/khoros/tarfiles/linux
Read BINARIES for his original announcement.

If you already have working Khoros binaries, don't bother
to get the new patches and recompile.  They won't make your
system work faster or more stable :).

Anyway, there is a number of (good ?!) reasons for this new edition:

* I've created an installation shell script that should make
  compilation almost trivial.
* Due to popular demand, I've added my "f77" shell script that
  will compile the Fortran parts.
* Flex 2.4 has been released.  A few cosmetic changes
  were necessary for this to work.
* I've written an LSM entry and, hopefully, I finally get the
  announcement right !

I myself have used Khoros 1.0.5 for development on Linux for almost
a year now and had very few problems - at least no more than on a
Sparc (at work).  Except for use of dynamic libraries, I consider
this port complete.  I hope to start work on Khoros 2.0 soon - and
yes, I plan to compile its libraries as shared.  However, version 1.0.5
is quite stable and will certainly be around for some time to come.
So, if you have problems with the patch, don't hesitate to contact me.

Happy Khorosing,

Wolfram Gloger
([email-masked], [email-masked])

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.